package com.zipcoder.payment;

public class Paypal implements Payment{
    Long id;
    String payerName;
    String email;

    public Paypal(){
    }

    public Paypal(Long id, String payerName, String email){
        this.id = id;
        this.payerName = payerName;
        this.email = email;
    }

    public Long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName=payerName;
    }

    public String getShortDescription() {
        return ("Paypal " + payerName + " " + email);
    }

    public String getEmail() {
        return this.email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public int compareTo(Payment o) {
        return this.id.compareTo(o.getId());
    }
}
