package com.zipcoder.payment;
import java.util.Arrays;

public class PaymentPresenter {
    public String toString(Payment[] payments){
        Arrays.sort(payments, new PaymentSortByShortDescription());
        StringBuilder s = new StringBuilder();
        for (Payment p : payments){
            s.append(p.getShortDescription());
            s.append("\n");
        }
        return s.toString();
    }

    public String toStringByPayerName(Payment[] payments){
        Arrays.sort(payments, new PaymentSortByPayer());
        StringBuilder s = new StringBuilder();
        for (Payment p : payments){
            s.append(p.getShortDescription());
            s.append("\n");
        }
        return s.toString();
    }

    public String toStringById(Payment[] payments){
        Arrays.sort(payments, new PaymentSortById());
        StringBuilder s = new StringBuilder();
        for (Payment p : payments){
            s.append(p.getShortDescription());
            s.append("\n");
        }
        return s.toString();
    }

}
